zenilib: zenilib/jni/external/freetype2/src/cff/cffload.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
cffload.h File Reference
`#include <ft2build.h>`
`#include "cfftypes.h"`

Go to the source code of this file.

## Functions

| cff_charset_cid_to_gindex (CFF_Charset charset, FT_UInt cid)
| cff_fd_select_get (CFF_FDSelect fdselect, FT_UInt glyph_index)
| cff_font_done (CFF_Font font)
| cff_font_load (FT_Library library, FT_Stream stream, FT_Int face_index, CFF_Font font, FT_Bool pure_cff)
FT_BEGIN_HEADER | cff_get_standard_encoding (FT_UInt charcode)
| cff_index_access_element (CFF_Index idx, FT_UInt element, FT_Byte **pbytes, FT_ULong *pbyte_len)
| cff_index_forget_element (CFF_Index idx, FT_Byte **pbytes)
| cff_index_get_name (CFF_Font font, FT_UInt element)
| cff_index_get_sid_string (CFF_Font font, FT_UInt sid)
| cff_index_get_string (CFF_Font font, FT_UInt element)

## Function Documentation

cff_charset_cid_to_gindex | ( | CFF_Charset | charset,
|  | FT_UInt | cid
| ) |  |

Definition at line 816 of file cffload.c.

Referenced by cff_encoding_load(), and cff_slot_load().

cff_fd_select_get | ( | CFF_FDSelect | fdselect,
|  | FT_UInt | glyph_index
| ) |  |

Definition at line 708 of file cffload.c.

References FT_NEXT_USHORT.

Referenced by cff_decoder_prepare(), and cff_slot_load().

cff_font_done | ( | CFF_Font | font | ) |

Definition at line 1628 of file cffload.c.

References cff_charset_done(), CFF_Done_FD_Select(), cff_encoding_done(), cff_index_done(), cff_subfont_done(), FT_FREE, and idx.

Referenced by cff_face_done().

cff_font_load | ( | FT_Library | library,
|  | FT_Stream | stream,
|  | FT_Int | face_index,
|  | CFF_Font | font,
|  | FT_Bool | pure_cff
| ) |  |

Definition at line 1418 of file cffload.c.

References cff_charset_load(), cff_encoding_load(), cff_index_done(), cff_index_get_name(), cff_index_get_pointers(), cff_index_init(), CFF_Load_FD_Select(), CFF_MAX_CID_FONTS, cff_subfont_load(), CFF_FontRecDictRec_::charset_offset, CFF_FontRecDictRec_::charstrings_offset, CFF_FontRecDictRec_::cid_fd_array_offset, CFF_FontRecDictRec_::cid_fd_select_offset, CFF_FontRecDictRec_::cid_registry, CFF_FontRecDictRec_::encoding_offset, error, for(), FT_Bool, FT_BOOL, FT_ERROR, FT_FRAME_BYTE, FT_FRAME_END, FT_FRAME_START, FT_NEW_ARRAY, FT_SET_ERROR, FT_STREAM_POS, FT_STREAM_READ_FIELDS, FT_STREAM_SEEK, FT_STREAM_SKIP, FT_TRACE0, FT_TRACE2, FT_TRACE4, FT_ZERO, idx, and NULL.

Referenced by cff_face_init().

FT_BEGIN_HEADER cff_get_standard_encoding | ( | FT_UInt | charcode | ) |

Definition at line 183 of file cffload.c.

References cff_standard_encoding.

Referenced by cff_lookup_glyph_by_stdcharcode().

cff_index_access_element | ( | CFF_Index | idx,
|  | FT_UInt | element,
|  | FT_Byte ** | pbytes,
|  | FT_ULong * | pbyte_len
| ) |  |

Definition at line 469 of file cffload.c.

References cff_index_read_offset(), error, FT_ERROR, FT_FRAME_EXTRACT, FT_STREAM_SEEK, and FT_StreamRec_::size.

Referenced by cff_get_glyph_data(), cff_index_get_name(), and cff_subfont_load().

cff_index_forget_element | ( | CFF_Index | idx,
|  | FT_Byte ** | pbytes
| ) |  |

Definition at line 567 of file cffload.c.

References FT_FRAME_RELEASE.

Referenced by cff_free_glyph_data(), cff_index_get_name(), and cff_subfont_load().

cff_index_get_name | ( | CFF_Font | font,
|  | FT_UInt | element
| ) |  |

Definition at line 582 of file cffload.c.

References cff_index_access_element(), cff_index_forget_element(), error, FT_ALLOC, FT_MEM_COPY, and idx.

Referenced by cff_face_init(), and cff_font_load().

cff_index_get_sid_string | ( | CFF_Font | font,
|  | FT_UInt | sid
| ) |  |

Definition at line 621 of file cffload.c.

References cff_index_get_string(), and NULL.

cff_index_get_string | ( | CFF_Font | font,
|  | FT_UInt | element
| ) |  |

Definition at line 611 of file cffload.c.

References NULL.

Referenced by cff_get_name_index(), and cff_index_get_sid_string().